Index: branches/SHM-6-dev/source/App/TAppDecoder/TAppDecTop.cpp
===================================================================
--- branches/SHM-6-dev/source/App/TAppDecoder/TAppDecTop.cpp	(revision 703)
+++ branches/SHM-6-dev/source/App/TAppDecoder/TAppDecTop.cpp	(revision 704)
@@ -702,5 +702,5 @@
           }
 #endif
-#if REPN_FORMAT_IN_VPS && !Q0200_CONFORMANCE_BL_SIZE
+#if REPN_FORMAT_IN_VPS
           UInt chromaFormatIdc = pcPic->getSlice(0)->getChromaFormatIdc();
           Int xScal =  TComSPS::getWinUnitX( chromaFormatIdc ), yScal = TComSPS::getWinUnitY( chromaFormatIdc );
@@ -818,5 +818,5 @@
 #endif
 
-#if REPN_FORMAT_IN_VPS && !Q0200_CONFORMANCE_BL_SIZE
+#if REPN_FORMAT_IN_VPS
           UInt chromaFormatIdc = pcPic->getSlice(0)->getChromaFormatIdc();
           Int xScal =  TComSPS::getWinUnitX( chromaFormatIdc ), yScal = TComSPS::getWinUnitY( chromaFormatIdc );
@@ -934,5 +934,5 @@
           }
 #endif
-#if REPN_FORMAT_IN_VPS && !Q0200_CONFORMANCE_BL_SIZE
+#if REPN_FORMAT_IN_VPS
           UInt chromaFormatIdc = pcPic->getSlice(0)->getChromaFormatIdc();
           Int xScal =  TComSPS::getWinUnitX( chromaFormatIdc ), yScal = TComSPS::getWinUnitY( chromaFormatIdc );
@@ -1052,5 +1052,5 @@
           }
 #endif
-#if REPN_FORMAT_IN_VPS && !Q0200_CONFORMANCE_BL_SIZE
+#if REPN_FORMAT_IN_VPS
           UInt chromaFormatIdc = pcPic->getSlice(0)->getChromaFormatIdc();
           Int xScal =  TComSPS::getWinUnitX( chromaFormatIdc ), yScal = TComSPS::getWinUnitY( chromaFormatIdc );
@@ -1160,5 +1160,5 @@
     const Window &defDisp = m_respectDefDispWindow ? pic->getDefDisplayWindow() : Window();
     Int xScal =  1, yScal = 1;
-#if REPN_FORMAT_IN_VPS && !Q0200_CONFORMANCE_BL_SIZE
+#if REPN_FORMAT_IN_VPS
     UInt chromaFormatIdc = pic->getSlice(0)->getChromaFormatIdc();
     xScal = TComSPS::getWinUnitX( chromaFormatIdc );
Index: branches/SHM-6-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- branches/SHM-6-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 703)
+++ branches/SHM-6-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 704)
@@ -658,5 +658,5 @@
   {
     Window &conf = pcSPS->getConformanceWindow();
-#if REPN_FORMAT_IN_VPS && !Q0200_CONFORMANCE_BL_SIZE
+#if REPN_FORMAT_IN_VPS
     READ_UVLC(   uiCode, "conf_win_left_offset" );               conf.setWindowLeftOffset  ( uiCode );
     READ_UVLC(   uiCode, "conf_win_right_offset" );              conf.setWindowRightOffset ( uiCode );
Index: branches/SHM-6-dev/source/Lib/TLibDecoder/TDecTop.cpp
===================================================================
--- branches/SHM-6-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 703)
+++ branches/SHM-6-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 704)
@@ -1556,5 +1556,14 @@
         Int heightBL  = pcSlice->getBaseColPic(refLayerIdc)->getPicYuvRec()->getHeight();
 #if Q0200_CONFORMANCE_BL_SIZE
-        const Window &confBL = pcSlice->getBaseColPic(refLayerIdc)->getConformanceWindow(); 
+        Window &confBL = pcSlice->getBaseColPic(refLayerIdc)->getConformanceWindow();
+#if REPN_FORMAT_IN_VPS 
+UInt chromaFormatIdc =  pcSlice->getBaseColPic(refLayerIdc)->getSlice(0)->getChromaFormatIdc();
+Int xScal = TComSPS::getWinUnitX( chromaFormatIdc );
+Int yScal = TComSPS::getWinUnitY( chromaFormatIdc );
+confBL.setWindowBottomOffset(confBL.getWindowBottomOffset()*yScal);
+confBL.setWindowTopOffset(confBL.getWindowTopOffset()*yScal);
+confBL.setWindowLeftOffset(confBL.getWindowLeftOffset()*xScal);
+confBL.setWindowRightOffset(confBL.getWindowRightOffset()*xScal);
+#endif
         widthBL  -= confBL.getWindowLeftOffset() + confBL.getWindowRightOffset();
         heightBL -= confBL.getWindowTopOffset() + confBL.getWindowBottomOffset();
@@ -1619,4 +1628,10 @@
         }
         pcSlice->setFullPelBaseRec ( refLayerIdc, pcPic->getFullPelBaseRec(refLayerIdc) );
+#if REPN_FORMAT_IN_VPS && Q0200_CONFORMANCE_BL_SIZE
+confBL.setWindowBottomOffset(confBL.getWindowBottomOffset()/yScal);
+confBL.setWindowTopOffset(confBL.getWindowTopOffset()/yScal);
+confBL.setWindowLeftOffset(confBL.getWindowLeftOffset()/xScal);
+confBL.setWindowRightOffset(confBL.getWindowRightOffset()/xScal);
+#endif
 #endif
       }
